1.800.857.0558
Start a conversation

System Requirements

System Requirements for Project Kickstart 6: 


OS: Windows 7 SP1 or later

ACT! Version 16 or later

Microsoft Office 2010 or later


Please note that you do not require ACT! or Office to use Project Kickstart 6, only to use the import/export features. 

Choose files or drag and drop files
Was this article helpful?
Yes
No
  1. Mark Doubrough

  2. Posted

Comments